<template>
  <router-link
    :to="{
      name: isSubscription ? 'catalogAbo' : 'catalog',
      params: { shelf: comicsSlug }
    }"
    class="button button_orange empty-content_button"
  >
    {{ $t('common.buttons.seeCatalog') }}
  </router-link>
</template>

<script>
export default {
  name: 'CatalogButton',
  props: {
    isSubscription: {
      type: Boolean,
      require: false,
      default: false
    }
  },
  computed: {
    comicsSlug() {
      const lang = this.$route.params.lang
      const langComicsSlugs = {
        fr: 'bd',
        en: 'european-comics',
        de: 'europaische-comics',
        nl: 'strips'
      }

      let slug = langComicsSlugs['fr']
      if (lang in langComicsSlugs) {
        slug = langComicsSlugs[lang]
      }

      return slug
    }
  }
}
</script>
